package com.vendor.burn.model;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.PartitionItem;
import java.util.ArrayList;
import java.util.List;

public enum ChipID {
  chip0, chip1;
  
  public static final String CHIP = "chip";
  
  public static ArrayList<com.vendor.burn.model.ChipID> getChipIDInParts(List<PartitionItem> parts) {
    ArrayList<com.vendor.burn.model.ChipID> hasChipIDs = new ArrayList<>();
    for (PartitionItem partitionItem : parts) {
      com.vendor.burn.model.ChipID chipID = partitionItem.getChipID();
      if (!hasChipIDs.contains(chipID))
        hasChipIDs.add(chipID); 
    } 
    return hasChipIDs;
  }
}
